class BatchData:
    '''
         Args:
            batch_size: the number of sampled node
            nids: the real id of sampled nodes and their neighbours 
            edge_index: the edge between nids, the nodes' id is the index of BatchData
            x: nodes' feature
            y: 
            eids: the edge id in subgraph of edge_index
            train_mask
            val_mask
            test_mask
    '''
    def __init__(self,batch_size,nids,edge_index,roots=None,x=None,y=None,eids=None,train_mask=None,val_mask=None,test_mask=None):
        self.batch_size=batch_size
        self.roots=roots
        self.nids=nids
        self.edge_index=edge_index
        self.x=x
        self.y=y
        self.eids=eids
        self.train_mask=train_mask
        self.val_mask=val_mask
        self.test_mask=test_mask


